<?php

namespace Ammar\MArn\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MyrteListTransformer extends TransformerAbstract
{
    public function transform(\Ammar\MArn\Models\Myrte $myrte)
    {
        return [
            'id'                => $myrte->getRouteKey(),
            'Full name'         => $myrte->Full name,
            'age'               => $myrte->age,
            'status'            => trans('app.'.$myrte->status),
            'created_at'        => format_date($myrte->created_at),
            'updated_at'        => format_date($myrte->updated_at),
        ];
    }
}