<?php

use Illuminate\Database\Seeder;

class MyrteTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('myrtes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'm_arn.myrte.view',
                'name'      => 'View Myrte',
            ],
            [
                'slug'      => 'm_arn.myrte.create',
                'name'      => 'Create Myrte',
            ],
            [
                'slug'      => 'm_arn.myrte.edit',
                'name'      => 'Update Myrte',
            ],
            [
                'slug'      => 'm_arn.myrte.delete',
                'name'      => 'Delete Myrte',
            ],
            /*
            [
                'slug'      => 'm_arn.myrte.verify',
                'name'      => 'Verify Myrte',
            ],
            [
                'slug'      => 'm_arn.myrte.approve',
                'name'      => 'Approve Myrte',
            ],
            [
                'slug'      => 'm_arn.myrte.publish',
                'name'      => 'Publish Myrte',
            ],
            [
                'slug'      => 'm_arn.myrte.unpublish',
                'name'      => 'Unpublish Myrte',
            ],
            [
                'slug'      => 'm_arn.myrte.cancel',
                'name'      => 'Cancel Myrte',
            ],
            [
                'slug'      => 'm_arn.myrte.archive',
                'name'      => 'Archive Myrte',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/m_arn/myrte',
                'name'        => 'Myrte',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/m_arn/myrte',
                'name'        => 'Myrte',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'myrte',
                'name'        => 'Myrte',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'm_arn.myrte.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
