This is a Laravel 5 package that provides m_arn management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ammar/m_arn`.

    "ammar/m_arn": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Ammar\MArn\Providers\MArnServiceProvider::class,

```

And also add it to alias

```php
'MArn'  => Ammar\MArn\Facades\MArn::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Ammar\MArn\Providers\MArnServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Ammar\MArn\Providers\MArnServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Ammar\MArn\Providers\MArnServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Ammar\MArn\Providers\MArnServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Ammar\MArn\Providers\MArnServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Ammar\MArn\Providers\MArnServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


